aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-05-19 14:59:35 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2017-05-19 15:00:26 +0200
commitf56b18ab2a715240d01ac015dedc17e24e7b76b6 (patch)
tree5290da103887f87f23cfb8f80f4e7037a5376dd8
parentaf056961cdbc595955629297cc1e0efbdcd8c2ff (diff)
downloadaports-f56b18ab2a715240d01ac015dedc17e24e7b76b6.tar.bz2
Revert "main/paxctl: *plonk*"
This reverts commit a20f500ad1f66daf24372a29d7bbcfcbe28d04d3. the utility may be useful in case extended attributes are not supported in filesystem
-rw-r--r--main/paxctl/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/main/paxctl/APKBUILD b/main/paxctl/APKBUILD
new file mode 100644
index 0000000..80ecc5e
--- /dev/null
+++ b/main/paxctl/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=paxctl
+pkgver=0.9
+pkgrel=0
+pkgdesc="Manage PaX releated program header flags"
+url="http://pax.grsecurity.net"
+arch="all"
+license="GPL2"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://pax.grsecurity.net/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -i -e 's:--owner:-o:g; s:--group:-g:g; s:--mode:-m:g' Makefile
+
+ make CFLAGS="$CFLAGS" LDFLASG="$LDFLAGS" || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="9bea59b1987dc4e16c2d22d745374e64 paxctl-0.9.tar.gz"
+sha256sums="a330ddd812688169802a3ba29e5e3b19956376b8f6f73b8d7e9586eb04423c2e paxctl-0.9.tar.gz"
+sha512sums="4048544bd05ed6eb37866034ade8482b8d017110ed9a639f220e8d2e32bb3dfb6c913a986c8fd41829e88efa793f7552eaa2a6d6b2af533c44a5754a5ab8650f paxctl-0.9.tar.gz"